
  $( function() {
    $( document ).tooltip();
  } );

  $(document).ready(function() {
	
	$("#multi-step-form").hide();
	$(".footer").hide();

	
	$(".startnow").click(function() {
     
		$("#multi-step-form").addClass("animate__animated animate__fadeInLeft").show();
		$(".footer").addClass("animate__animated animate__fadeInLeft").show();
		
		$(".welcome-screen").removeClass("animate__animated animate__fadeOutLeft").hide();
    });
	

  
	  
  });
  
  
  $(".step-circle").on("click", function () {
    $(".step-circle").removeClass('active')
    $(this).addClass("active");
})

var currentStep = 1;
var updateProgressBar;

  function displayStep(stepNumber) {
    if (stepNumber >= 1 && stepNumber <= 38) {
      $(".step-" + currentStep).removeClass("animate__animated animate__fadeOut").hide();
      $(".step-" + stepNumber).show().addClass("animate__animated animate__fadeIn");
	
      currentStep = stepNumber;
      updateProgressBar();
	  
    }
  }

  $(document).ready(function() {
    $('#multi-step-form').find('.step').slice(1).hide();

     
 
		
    $(".next-step").click(function() {
      if (currentStep < 38) {
		 
        $(".step-" + currentStep).addClass("animate__animated animate__fadeOutLeft ");
        currentStep++;
        setTimeout(function() {
          $(".step").removeClass("animate__animated animate__fadeOutLeft").hide();
          $(".step-" + currentStep).show().addClass("animate__animated animate__fadeInRight");
		  const collection = document.getElementsByClassName("step-circle");
		  $(".step-circle").removeClass('active');
		  $(collection[currentStep-1]).addClass('active');
		  console.log(currentStep);

		  updateProgressBar();
		  
        }, 500);
		
		
      }
    });

    $(".prev-step").click(function() {
      if (currentStep > 1) {
        $(".step-" + currentStep).addClass("animate__animated animate__fadeOutRight");
        currentStep--;
        setTimeout(function() {
          $(".step").removeClass("animate__animated animate__fadeOutRight").hide();
          $(".step-" + currentStep).show().addClass("animate__animated animate__fadeInLeft");
		  const collection = document.getElementsByClassName("step-circle");
		  $(".step-circle").removeClass('active');
		  $(collection[currentStep-1]).addClass('active');
		  console.log(currentStep);
          updateProgressBar();
        }, 500);
      }
    });

    updateProgressBar = function() {
      var progressPercentage = ((currentStep - 1) / 37) * 100;
      $(".progress-bar").css("width", progressPercentage + "%");
    }
  });
 


updateList = function() {
      var input = document.getElementById('file');
      var output = document.getElementById('fileList');
      var children = "";
      for (var i = 0; i < input.files.length; ++i) {
          children +=  '<li>'+ input.files.item(i).name + '<span class="remove-list" onclick="return this.parentNode.remove()">X</span>' + '</li>'
      }
      output.innerHTML = '<h4>Selected Files</h4>'+children;
  }
  
  
  updateList2 = function() {
      var input = document.getElementById('file2');
      var output = document.getElementById('fileList2');
      var children = "";
      for (var i = 0; i < input.files.length; ++i) {
          children +=  '<li>'+ input.files.item(i).name + '<span class="remove-list" onclick="return this.parentNode.remove()">X</span>' + '</li>'
      }
      output.innerHTML = '<h4>Selected Files</h4>'+children;
  }
  
  updateList3 = function() {
      var input = document.getElementById('file3');
      var output = document.getElementById('fileList3');
      var children = "";
      for (var i = 0; i < input.files.length; ++i) {
          children +=  '<li>'+ input.files.item(i).name + '<span class="remove-list" onclick="return this.parentNode.remove()">X</span>' + '</li>'
      }
      output.innerHTML = '<h4>Selected Files</h4>'+children;
  }


$(function () {
    $('.pro-type').hide();
   
    $(".radio-op input[name=radio-pro-type]:radio").click(function () {
        if ($('.radio-op input[name=radio-pro-type]:checked').val() == "Website Revamp") {
            
            $('.pro-type').show().addClass("animate__animated animate__fadeInLeft");
			

        } else {
            
            $('.pro-type').removeClass("animate__animated animate__fadeOutRight").hide();

        }
    });
});


$(function () {
    $('.have-logo').hide();
   
    $(".radio-op input[name=radio-op5]:radio").click(function () {
        if ($('.radio-op input[name=radio-op5]:checked').val() == "Yes") {
            
            $('.have-logo').show().addClass("animate__animated animate__fadeInLeft");
			

        } else {
            
            $('.have-logo').removeClass("animate__animated animate__fadeOutRight").hide();

        }
    });
});


$(function () {
    $('.inner-ad-info').hide();
   
    $(".radio-op input[name=radio-op17]:radio").click(function () {
        if ($('.radio-op input[name=radio-op17]:checked').val() != "Current logo") {
            
            $('.inner-ad-info').show().addClass("animate__animated animate__fadeInLeft");
			

        } else {
            
            $('.inner-ad-info').removeClass("animate__animated animate__fadeOutRight").hide();

        }
    });
});

$(function () {
    $('.upload-op').hide();
   
    $(".radio-op input[name=radio-op8]:radio").click(function () {
        if ($('.radio-op input[name=radio-op8]:checked').val() == "Custom") {
            
            $('.upload-op').show().addClass("animate__animated animate__fadeInLeft");
			

        } else {
            
            $('.upload-op').removeClass("animate__animated animate__fadeOutRight").hide();

        }
    });
});


